org.apache.synapse.transport.http.access

## Class AccessConfiguration

- java.lang.Object
- - org.apache.synapse.transport.http.access.AccessConfiguration

-     public class AccessConfiguration
      extends java.lang.Object

  Copyright (c) 2015, WSO2 Inc. (http://www.wso2.org) All Rights Reserved. WSO2 Inc. licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getBooleanProperty(java.lang.String name)` Get a Boolean property of access configuration.
    `java.lang.Boolean` | `getBooleanProperty(java.lang.String name, java.lang.Boolean def)` Get a boolean property of access configuration.
    `static AccessConfiguration` | `getInstance()`
    `java.lang.Integer` | `getIntProperty(java.lang.String name)` Get an int of access configuration.
    `java.lang.Integer` | `getIntProperty(java.lang.String name, java.lang.Integer def)` Get an int property of access configuration.
    `java.lang.String` | `getStringProperty(java.lang.String name, java.lang.String def)` Get a String property of access configuration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static AccessConfiguration getInstance()

    - #### getIntProperty

          public java.lang.Integer getIntProperty(java.lang.String name,
                                                  java.lang.Integer def)

      Get an int property of access configuration.
      Parameters:
        `name` - name of the system/config property
        `def` - default value to return if the property is not set
      Returns:
        the value of the property to be used

    - #### getIntProperty

          public java.lang.Integer getIntProperty(java.lang.String name)

      Get an int of access configuration.
      Parameters:
        `name` - name of the system/config property
      Returns:
        the value of the property, null if the property is not found

    - #### getBooleanProperty

          public java.lang.Boolean getBooleanProperty(java.lang.String name,
                                                      java.lang.Boolean def)

      Get a boolean property of access configuration.
      Parameters:
        `name` - name of the system/config property
        `def` - default value to return if the property is not set
      Returns:
        the value of the property to be used

    - #### getBooleanProperty

          public java.lang.Boolean getBooleanProperty(java.lang.String name)

      Get a Boolean property of access configuration.
      Parameters:
        `name` - name of the system/config property
      Returns:
        the value of the property, null if the property is not found

    - #### getStringProperty

          public java.lang.String getStringProperty(java.lang.String name,
                                                    java.lang.String def)

      Get a String property of access configuration.
      Parameters:
        `name` - name of the system/config property
        `def` - default value to return if the property is not set
      Returns:
        the value of the property to be used

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.